:root {
	--sk-tile-padding: 2.5em 1.5em;
}

* + h1,
* + h2,
* + h3 {
	margin-top: 0;
}

a.more {
	white-space: normal;
}

a:hover {
	text-decoration: none !important;
}

main section h2,
main section a h3,
main section a h4,
main section a h5,
main section a p,
main section a li {
	color: var(--sk-body-text-color);
}

a:hover .link {
	text-decoration: underline !important;
}

.app-icon.theme-light-image,
.app-icon.theme-dark-image {
	margin-bottom: 1em;
}

@media only screen and (max-width: 734px) {
	.app-icon.theme-light-image,
	.app-icon.theme-dark-image {
		margin-inline-start: auto;
		margin-inline-end: auto;
		float: none;
	}
}

.topic-symbol-large {
	font-size: 120px;
}

header.bg-platforms {
	background-color: #f7f7f7;
}

.section-one-up {
	background-color: #f5f5f7;
	border-bottom: 12px solid #ffffff;
	max-width: 2560px;
}

.section-one-up {
	margin: 0 auto;
	padding-left: 4em;
	padding-right: 4em;
}

.section-one-up .row > .column {
	padding: 8% 0;
	align-self: center;
}

.section-two-up .row > .column {
	background-color: #f5f5f7;
	padding: 3em;
	border-bottom: 12px solid #ffffff;
}
.section-two-up .row > .column:first-of-type {
	border-right: 6px solid #ffffff;
}
.section-two-up .row > .column:last-of-type {
	border-left: 6px solid #ffffff;
}

.copy-wrapper {
	width: 452px;
	margin: 0 auto;
}

.text-max-width {
	max-width: 640px;
	margin-left: auto;
	margin-right: auto;
}

.section-more {
	padding: 3em 0;
	background-color: #f5f5f7;
}

.section-program {
	padding: 4em 0;
	max-width: 2560px;
	margin: 0 auto;
}

/* ========== Program Section with Background Image ========== */
.section-program-bg {
	background-image: url("/get-started/images/hero-get-started_2x.jpg");
	background-size: cover;
	background-position: bottom;
	background-repeat: no-repeat;
	min-height: 550px;
	color: #fff !important;
	display: flex;
	align-items: center;
	justify-content: center;
}

body[data-color-scheme="light"] .section-program-bg,
body[data-color-scheme="dark"] .section-program-bg {
	background-color: #000;
	color: #fff !important;
}

body[data-color-scheme="light"] .section-program-bg a *:not(.topic-symbol):not(.link) {
	color: #fff !important;
}

.section-program-bg a {
	color: #fff !important;
	text-decoration: none;
}

.section-program-bg a * {
	color: #fff !important;
}

.section-program-bg a:hover .link {
	text-decoration: underline !important;
}

@media only screen and (min-width: 2560px) {
	.section-program-bg {
		background-size: 2560px;
	}
}

.section-two-up {
	max-width: 2560px;
	margin: 0 auto;
}

.section-hero {
	background: linear-gradient(to bottom, #a8e9f0 0%, #7dd6e3 100%);
	padding: 4em 0 3em;
	max-width: 2560px;
	margin: 0 auto;
}

body[data-color-scheme="dark"] .section-hero {
	background: linear-gradient(to bottom, #052727 0%, #06222c 100%) !important;
}

.hero-lockup {
	width: 80%;
	max-width: 1400px;
}
@media only screen and (max-width: 1068px) {
	.hero-lockup {
		width: 87%;
	}
}

.hero-devices-image {
	display: block;
	margin: 3em auto 0;
}

.hero-devices-image img {
	max-width: 100%;
	height: auto;
}

.icon-program {
	filter: brightness(0) saturate(100%) invert(52%) sepia(59%) saturate(568%) hue-rotate(172deg)
		brightness(96%) contrast(96%);
}

@media only screen and (max-width: 1068px) {
	.section-one-up,
	.section-two-up {
		padding-left: 2em;
		padding-right: 2em;
	}
	.copy-wrapper {
		width: unset;
	}
	.ribbon-content.row {
		margin-right: auto;
		margin-left: auto;
	}
}

@media only screen and (max-width: 734px) {
	.section-ipados .copy-wrapper,
	.section-watchos .copy-wrapper {
		float: none;
		margin-right: auto;
	}
	.section-two-up {
		padding-left: 0;
		padding-right: 0;
	}
	.row {
		margin: 0;
	}
	.medium-6,
	.small-12 {
		flex-basis: 100%;
		max-width: 100%;
		width: 100%;
	}
	.large-push-6,
	.large-pull-6 {
		position: relative;
		left: auto;
		right: auto;
	}

	.section-one-up .row > .column {
		padding: 12% 0;
	}
	.section-one-up .row > .column:first-of-type {
		padding-bottom: 0;
	}
	.section-two-up .row > .column {
		width: 100%;
		display: block;
		padding: 1.5em 1em;
		border-bottom: 12px solid #ffffff;
	}
	.section-two-up .row > .column:first-of-type {
		border-right: none;
	}
	.section-two-up .row > .column:last-of-type {
		border-left: none;
	}

	.section-two-up .row > .column {
		padding: 12% 1em;
	}
	.copy-wrapper {
		width: 90%;
	}
	.section-two-up .copy-wrapper {
		text-align: center;
	}

	section.section-whats-new {
		padding-bottom: 8%;
	}
}

/* Planning */
.section-planning {
	background: linear-gradient(to bottom, #2e3e58 0%, #21283c 100%);
	color: #fff;
	/* margin-top: 6px; */
	padding-top: 2em;
	text-align: center;
}

@media only screen and (max-width: 734px) {
	.section-planning {
		text-align: left;
		margin-top: 0;
	}
}

.section.section-planning h5.subhead {
	font-weight: 400;
}

.section-planning .more {
	color: #fff;
}
.section-planning .chapternav-items {
	margin: 0;
	margin-top: 20px;
	padding-right: 0;
	padding-left: 0;
	overflow: visible;
	display: grid;
	grid-template-columns: repeat(6, 1fr);
}

.section-planning .chapternav-items .chapternav-item {
	animation: none;
	padding: 0;
}

.section-planning .chapternav-items .chapternav-link {
	color: #fff;
}
.section-planning .chapternav-items .chapternav-link:hover .chapternav-label {
	text-decoration: underline;
}
.section-planning .chapternav-items .chapternav-label {
	font-size: 17px;
}

.section-planning .chapternav-icon {
	width: 54px;
	height: 54px;
}

@media only screen and (max-width: 1068px) {
	.section-planning .chapternav-items {
		margin: 0;
		margin-top: 20px;
		padding-right: 0;
		padding-left: 0;
		overflow: visible;
		display: grid;
		grid-template-columns: repeat(3, 1fr);
	}

	.section-planning .chapternav-items .chapternav-item {
		margin: 0 -0.6em;
		text-align: center;
		padding: 15px;
		margin-bottom: 10px;
	}
}

@media only screen and (max-width: 734px) {
	.section-planning .chapternav-items .chapternav-label {
		font-size: 15px;
	}
}

/* === More === */
.section-more .topic-symbol,
.theme-light .section-more .topic-symbol {
	display: block !important;
	font-size: 48px !important;
	color: #4eaaf3 !important;
	margin-bottom: 4px;
}

body[data-color-scheme="dark"] .section-more .topic-symbol,
.theme-dark .section-more .topic-symbol {
	color: #56bdfb !important;
}

.section-more .tile-full .tile-content {
	padding: 34px 31px !important;
	gap: 1em !important;
}

/* === DARK MODE === */
body[data-color-scheme="dark"]#platforms header {
	background-color: #000;
}
body[data-color-scheme="dark"]#platforms header * {
	color: var(--glyph-gray-override);
}
body[data-color-scheme="dark"]#platforms .hero-section {
	background-color: #f7f7f7;
}
body[data-color-scheme="dark"]#platforms .section-one-up {
	background-color: var(--fill-tertiary-alt);
	border-color: var(--dark);
}
body[data-color-scheme="dark"]#platforms .section-two-up .column {
	background-color: var(--fill-tertiary-alt);
	border-color: var(--dark);
}
body[data-color-scheme="dark"]#platforms .section-more {
	background-color: var(--fill-tertiary-alt);
}
body[data-color-scheme="dark"]
	#chapternav
	.chapternav-items
	.chapternav-item-macos
	.chapternav-icon {
	background-image: url("/assets/elements/icons/platforms/icon-macos-f-i.svg");
}
body[data-color-scheme="dark"] #chapternav .chapternav-items .chapternav-item-ios .chapternav-icon {
	background-image: url("/assets/elements/icons/platforms/icon-ios-f-i.svg");
}
body[data-color-scheme="dark"]
	#chapternav
	.chapternav-items
	.chapternav-item-ipados
	.chapternav-icon {
	background-image: url("/assets/elements/icons/platforms/icon-ipados-f-i.svg");
}
body[data-color-scheme="dark"]
	#chapternav
	.chapternav-items
	.chapternav-item-watchos
	.chapternav-icon {
	background-image: url("/assets/elements/icons/platforms/icon-watchos-f-i.svg");
}
body[data-color-scheme="dark"]
	#chapternav
	.chapternav-items
	.chapternav-item-tvos
	.chapternav-icon {
	background-image: url("/assets/elements/icons/platforms/icon-tvos-f-i.svg");
}
body[data-color-scheme="dark"]
	#chapternav
	.chapternav-items
	.chapternav-item-app-store
	.chapternav-icon {
	background-image: url("/assets/elements/icons/chapternav/icon-app-store-f-i.svg");
	filter: unset;
}
body[data-color-scheme="dark"]
	#chapternav
	.chapternav-items
	.chapternav-item-program
	.chapternav-icon {
	background-image: url("/assets/elements/icons/chapternav/icon-program-f-i.svg");
}
